VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec Class Reference

The `Disk.VmdkCreateSpec` class provides a specification for creating a new VMDK file to be used as a backing for a virtual disk. More...

List of all members.

## Public Member Functions
| VmdkCreateSpec ()
| Creates a default new instance.
string | GetName ()
| Base name of the VMDK file.
void | SetName (string name)
| Base name of the VMDK file.
long | GetCapacity ()
| Capacity of the virtual disk backing in bytes.
void | SetCapacity (long?capacity)
| Capacity of the virtual disk backing in bytes.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Disk.VmdkCreateSpec` class provides a specification for creating a new VMDK file to be used as a backing for a virtual disk.

The virtual disk will be stored in the same directory as the virtual machine's configuration file.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::VmdkCreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::Equals | ( | object | obj | ) | `[inline]`

long vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::GetCapacity | ( |  | ) | `[inline]`

Capacity of the virtual disk backing in bytes.

override int vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::GetName | ( |  | ) | `[inline]`

Base name of the VMDK file.

The name should not include the '.vmdk' file extension.

void vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::SetCapacity | ( | long? | capacity | ) | `[inline]`

Capacity of the virtual disk backing in bytes.

void vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::SetName | ( | string | name | ) | `[inline]`

Base name of the VMDK file.

The name should not include the '.vmdk' file extension.

override string vmware::vcenter::vm::hardware::DiskTypes::VmdkCreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DiskTypes.cs